# H245Negotiator Class Reference

`#include <h323neg.h>`

Inheritance diagram for H245Negotiator:

[legend]
Collaboration diagram for H245Negotiator:
[legend]

## Public Member Functions

| H245Negotiator (H323EndPoint &endpoint, H323Connection &connection)

## Protected Member Functions

| PDECLARE_NOTIFIER (PTimer, H245Negotiator, HandleTimeoutUnlocked)
virtual void | HandleTimeout ()

## Protected Attributes

H323EndPoint & | endpoint
H323Connection & | connection
PTimer | replyTimer

## Detailed Description

Base class for doing H245 negotiations

## Constructor & Destructor Documentation

H245Negotiator::H245Negotiator | ( | H323EndPoint & | endpoint,
|  | H323Connection & | connection |
| ) |  |  |

## Member Function Documentation

virtual void H245Negotiator::HandleTimeout | ( |  | ) | `[protected, virtual]`

Reimplemented in H245NegMasterSlaveDetermination, H245NegTerminalCapabilitySet, H245NegLogicalChannel, H245NegRequestMode, and H245NegRoundTripDelay.

H245Negotiator::PDECLARE_NOTIFIER | ( | PTimer | ,
|  | H245Negotiator | ,
|  | HandleTimeoutUnlocked |  |
| ) |  |  | `[protected]`

## Field Documentation

H323Connection& H245Negotiator::connection `[protected]`

H323EndPoint& H245Negotiator::endpoint `[protected]`

PTimer H245Negotiator::replyTimer `[protected]`

The documentation for this class was generated from the following file:

- h323neg.h